<?php
    require_once("../../../../wp-config.php");
    require_once("../../../../wp-load.php");
	//Configurar URL do projeto
    
    $site_url = EXENT_URL;
    require_once 'includes/anti-spam.php';
	// require_once 'includes/funcoes.php';

	//Váriaveis Formulário

	$nome = $_POST["nome"];
	$email = $_POST["email"];
	$telefone = $_POST["telefone"];
	$mensagem = $_POST["mensagem"];
	$origem = $_POST["origem"];


    //ExentHub
    $origin = $origem;

    if ($origem == 'hotsite_contato') {
        $exhub_content = "[Formulário - Contato] ";

    } else if ($origem == 'hotsite_simule') {
        $exhub_content = "[Formulário - Simule]";

    } else {
        $exhub_content = "[Formulário - Whatsapp]";
    }

    //Trata Origem de mídia
    if ($_POST['exhub_media'] !== '') {
        $exhub_media = $_POST['exhub_media'];
    } else {
        $exhub_media = 'Internet';
    }

    //Monta conteúdo personalizado
	$custom_fields = array();
    
    if (!empty($_POST['renda'])) {
        $custom_fields['renda'] = $_POST['renda'];
    }
    
	$exhub_info['custom_fields'] = $custom_fields;

	$exhub_info = json_encode($exhub_info);

	//Integração ExentHub

	require_once 'includes/exenthub.php';

    if ($origem == 'hotsite_contato') {
        echo header("Location: ".$site_url."confirmacao-contato/");
    } else if ($origem == 'hotsite_simule') {
        echo header("Location: ".$site_url."confirmacao-simule/");
    }else{
        echo header("Location: ".$site_url."confirmacao-whatsapp/");
    }


    ?>
